×

Notice

The forum is in read only mode.
Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1

TOPIC: bug in 4.0.6 - hotspot submission

bug in 4.0.6 - hotspot submission 3 years 1 day ago #28361

  • Samuele Bonzio
  • Samuele Bonzio's Avatar Topic Author
  • Offline
  • Junior Boarder
  • Junior Boarder
  • Posts: 22
  • Thank you received: 0
When in frontend I try to submit a new hotspot, I receive a blank page!
I'm using joomla 3.3.6

bug in 4.0.6 - hotspot submission 3 years 1 day ago #28369

  • Daniel Dimitrov
  • Daniel Dimitrov's Avatar
  • Online
  • Administrator
  • Administrator
  • Posts: 9618
  • Karma: 154
  • Thank you received: 1081
Turn on error reporting in your joomla's global config and you'll see the error message. My wild guess is that you've enabled the jomsocial plugin, but you don't have jomsocial? Can this be?

bug in 4.0.6 - hotspot submission 3 years 1 day ago #28370

  • Daniel Dimitrov
  • Daniel Dimitrov's Avatar
  • Online
  • Administrator
  • Administrator
  • Posts: 9618
  • Karma: 154
  • Thank you received: 1081
Hm, wait. You've posted in the core section. The core version doesn't have the option to submit hotspots in the frontend? Are you using Hotspots Core or Hotspots Pro?

Regards,
Daniel

bug in 4.0.6 - hotspot submission 3 years 1 day ago #28373

  • Samuele Bonzio
  • Samuele Bonzio's Avatar Topic Author
  • Offline
  • Junior Boarder
  • Junior Boarder
  • Posts: 22
  • Thank you received: 0
Hello Daniel,
In the past I've buy Hotspot (I think you can see my subscription).
Now I'm upgrading my joomla 2.5.27 to 3.3.6
In my site of test I've upgrade my hotspots (that I've pay in the past, in this moment I'm writing with the phone and I don't remember which version I'm using) into new Hotspot 4.0.6 core (free).

Is that the problem?

Edit: sorry, I wrong with my memory, plugin for jomsocial is not active because it tell me that I need the pay version

Thank you for your support!

bug in 4.0.6 - hotspot submission 3 years 1 day ago #28374

  • Daniel Dimitrov
  • Daniel Dimitrov's Avatar
  • Online
  • Administrator
  • Administrator
  • Posts: 9618
  • Karma: 154
  • Thank you received: 1081
Aha, that might be the problem. If you've owned a subscription in the past you were running the pro version. Now that you've downgraded, by installing the Core version (and it doesn't come with frontend submission) it is possible that the submission form is missing something from the PRO package.
Enable the error reporting and let me know what the error is. Maybe it doesn't have anything with the downgrade. But as I said - frontend submission is part of the PRO package and if you run the core version now it can stop functioning any time :(

You can find more information about the difference between the core and Pro version over here:
compojoom.com/joomla-extensions/hotspots#versions

Regards,
Daniel
The following user(s) said Thank You: Samuele Bonzio

bug in 4.0.6 - hotspot submission 3 years 1 day ago #28378

  • Samuele Bonzio
  • Samuele Bonzio's Avatar Topic Author
  • Offline
  • Junior Boarder
  • Junior Boarder
  • Posts: 22
  • Thank you received: 0
it give me this error:
Fatal error: Class 'hotspotsUtils' not found in .../components/com_hotspots/views/form/view.html.php on line 82

bug in 4.0.6 - hotspot submission 3 years 10 hours ago #28408

  • Samuele Bonzio
  • Samuele Bonzio's Avatar Topic Author
  • Offline
  • Junior Boarder
  • Junior Boarder
  • Posts: 22
  • Thank you received: 0
Hi Daniel, tomorrow or very soon I think to buy the hotspots, because I need the fuction of submission in frontend.

I really hope that resolve the problem that I have.

Have you check the error that joomla gave me?
See you soon

Samuele

bug in 4.0.6 - hotspot submission 3 years 10 hours ago #28409

  • Daniel Dimitrov
  • Daniel Dimitrov's Avatar
  • Online
  • Administrator
  • Administrator
  • Posts: 9618
  • Karma: 154
  • Thank you received: 1081
Hey Samuele,
Sorry for the slow response. Yes, the error will be fixed by installing the pro version. There is no hotspotsUtils class anymore... and that files are not updated by installing the core version, only with the pro. So just install the PRO version over and everything should be working as you are used to.

Kind regards,
Daniel
  • Page:
  • 1
Time to create page: 0.163 seconds